« X-Window 起動せず。Debian Woody/ThinkPad 240(2609-43J) (4/9) | トップページ | Squid 2.4 での Referer リクエストヘッダの削除、Debian Woody では不可 (4/10) »

2005.04.10

Debian 3.0 Woody の smbd が INTERNAL ERROR: Signal 11でエラー (4/10)

Debian Linux 3.0 Woody のSambaでapt-get update;apt-get upgrade でSamba 2.2.3a-14.2にアップデート後、Samba の smbd がエラーになり動かなくなる。nmbdは動く。testparmコマンドでsmb.confをチェックしてもエラーはない。

以下、/var/log/samba/log.smbd に出力されたエラーメッセージ。INTERNAL ERROR: Signal 11 と出力されている。

[2005/04/09 23:39:12, 0] smbd/server.c:main(698)
smbd version 2.2.3a-14.2 for Debian started.
Copyright Andrew Tridgell and the Samba Team 1992-2002
[2005/04/09 23:39:12, 0] lib/fault.c:fault_report(38)
===============================================================
[2005/04/09 23:39:12, 0] lib/fault.c:fault_report(39)
INTERNAL ERROR: Signal 11 in pid 2798 (2.2.3a-14.2 for Debian)
Please read the file BUGS.txt in the distribution
[2005/04/09 23:39:12, 0] lib/fault.c:fault_report(41)
===============================================================
[2005/04/09 23:39:12, 0] lib/util.c:smb_panic(1105)
PANIC: internal error

Googleで検索したところ以下のページが見つかる。2005年4月2日付けの投稿。

Woody's Samba not working after latest security-upgrade - Debian
http://www.debianforums.com/ftopic5708.html

PostPosted: Sat Apr 02, 2005 11:40 pm Post subject: Woody's Samba not working after latest security-upgrade Reply with quote
Hello,

Since the latest Security-Upgrade of Woody's Samba (DSA-701), my Samba
server does not work anymore (see end of mail for log-file entries).

リンク先を見てみると

Debian Bug report logs - #302378 - samba: smbd exits with SIGABRT
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=302378

Downgrading to 2.2.3a-14.1 resolves the problem entirely, which is why
the problem was probably introduced with the fix for #286023.

とのことで、ダウングレードして回避した様子。そこで私も、以下のサイトから過去のバージョンのdebパッケージをダウンロードできるので、

Index of /debian/pool/main/s/samba
http://ftp.debian.org/debian/pool/main/s/samba/

から Samba 2.2.3a-14.1 のパッケージをダウンロードして、ダウングレードのインストールを行った。

以下、ダウングレード前のパッケージのバージョン

~$dpkg -l samba*
要望=(U)不明/(I)インストール/(R)削除/(P)完全削除/(H)維持
| 状態=(N)無/(I)インストール済/(C)設定/(U)展開/(F)設定失敗/(H)半インストール
|/ エラー=(空欄)無/(H)維持/(R)要再インストール/X=両方(状態,エラーの大文字=異常)
||/ 名前 バージョン 説明
+++-==============-==============-============================================
ii samba 2.2.3a-14.2 A LanManager like file and printer server fo
un samba-client <なし> (説明(description)がありません)
ii samba-common 2.2.3a-14.2 Samba common files used by both the server a
ii samba-doc 2.2.3a-14.2 Samba documentation.
ii samba-doc-ja 2.0.6+ja1.0-3 Japanized Samba documentation.
~$ dpkg -l smb*
要望=(U)不明/(I)インストール/(R)削除/(P)完全削除/(H)維持
| 状態=(N)無/(I)インストール済/(C)設定/(U)展開/(F)設定失敗/(H)半インストール
|/ エラー=(空欄)無/(H)維持/(R)要再インストール/X=両方(状態,エラーの大文字=異常)
||/ 名前 バージョン 説明
+++-==============-==============-============================================
un smb2www <なし> (説明(description)がありません)
ii smbclient 2.2.3a-14.2 A LanManager like simple client for Unix.
ii smbfs 2.2.3a-14.2 mount and umount commands for the smbfs (for
un smbfsx <なし> (説明(description)がありません)
~$

dpkgコマンドでダウングレード。1回インストールの手順を誤って、すでに一部のパッケージは2.2.3a-14.1に置換されています。

# dpkg -i samba_2.2.3a-14.1_i386.deb smbclient_2.2.3a-14.1_i386.deb samba-common_2.2.3a-14.1_i386.deb samba-doc_2.2.3a-14.1_all.deb smbfs_2.2.3a-14.1_i386.deb
(データベースを読み込んでいます... 現在 63632 個のファイルとディレクトリがインストールされています。)
samba 2.2.3a-14.1 を(samba_2.2.3a-14.1_i386.deb で)置換するための準備をしています...
Stopping Samba daemons: nmbdstart-stop-daemon: warning: failed to kill 9103: No such process
smbdstart-stop-daemon: warning: failed to kill 9107: No such process
.
samba を展開し、置換しています...
smbclient 2.2.3a-14.1 を(smbclient_2.2.3a-14.1_i386.deb で)置換するための準備をしています...
smbclient を展開し、置換しています...
samba-common 2.2.3a-14.1 を(samba-common_2.2.3a-14.1_i386.deb で)置換するための準備をしています...
samba-common を展開し、置換しています...
samba-doc 2.2.3a-14.1 を(samba-doc_2.2.3a-14.1_all.deb で)置換するための準備をしています...
samba-doc を展開し、置換しています...
dpkg - 警告: smbfs のバージョンを 2.2.3a-14.2 から 2.2.3a-14.1 にダウングレードしています。
smbfs 2.2.3a-14.2 を(smbfs_2.2.3a-14.1_i386.deb で)置換するための準備をしています...
smbfs を展開し、置換しています...
samba-common (2.2.3a-14.1) を設定しています ...

samba-doc (2.2.3a-14.1) を設定しています ...

smbfs (2.2.3a-14.1) を設定しています ...

samba (2.2.3a-14.1) を設定しています ...

smbclient (2.2.3a-14.1) を設定しています ...

#

ダウングレード後のパッケージの一覧

~$dpkg -l samba* smb*
=(U)/(I)/(R)/(P)/(H)
| =(N)/(I)/(C)/(U)/(F)/(H)
|/ =()/(H)/(R)/X=(,=)
||/
+++-===============-===============-==============================================
ii samba 2.2.3a-14.1 A LanManager like file and printer server for
un samba-client <> ((description))
ii samba-common 2.2.3a-14.1 Samba common files used by both the server and
ii samba-doc 2.2.3a-14.1 Samba documentation.
ii samba-doc-ja 2.0.6+ja1.0-3 Japanized Samba documentation.
un smb2www <> ((description))
ii smbclient 2.2.3a-14.1 A LanManager like simple client for Unix.
ii smbfs 2.2.3a-14.1 mount and umount commands for the smbfs (for k
un smbfsx <> ((description))
~$

以上で、Samba 2.2.3a-14.1にダウングレードしたところ、無事 smbd も動くようになり、Windowsからファイル共有できるようになりました。

以上。



|

« X-Window 起動せず。Debian Woody/ThinkPad 240(2609-43J) (4/9) | トップページ | Squid 2.4 での Referer リクエストヘッダの削除、Debian Woody では不可 (4/10) »

コメント

コメントを書く



(ウェブ上には掲載しません)




トラックバック

この記事のトラックバックURL:
http://app.cocolog-nifty.com/t/trackback/49099/3639458

この記事へのトラックバック一覧です: Debian 3.0 Woody の smbd が INTERNAL ERROR: Signal 11でエラー (4/10):

« X-Window 起動せず。Debian Woody/ThinkPad 240(2609-43J) (4/9) | トップページ | Squid 2.4 での Referer リクエストヘッダの削除、Debian Woody では不可 (4/10) »